<html>
<head>
<title>OGRE: Ogre::SimpleSpline Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SimpleSpline.html">SimpleSpline</a></div>
<h1>Ogre::SimpleSpline Class Reference</h1><!-- doxytag: class="Ogre::SimpleSpline" -->A very simple spline class which implements the Catmull-Rom class of splines.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSimpleSpline_8h-source.html">OgreSimpleSpline.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1SimpleSpline-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#647c5b1ef7ab486fc8646fa6a151bab6">SimpleSpline</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#ef641d97c1f208faf7bcf46584706fd8">~SimpleSpline</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#19945294aede4d865da85ccbe095ad33">addPoint</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;p)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds a control point to the end of the spline.  <a href="#19945294aede4d865da85ccbe095ad33"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#295cb351867d81989ba41161d87a1258">getPoint</a> (unsigned short index) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the detail of one of the control points of the spline.  <a href="#295cb351867d81989ba41161d87a1258"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#7cc4a623dc37c403b68d79eab09adf46">getNumPoints</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the number of control points in the spline.  <a href="#7cc4a623dc37c403b68d79eab09adf46"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#d9b46f66661afbebf4cf1c45182e0484">clear</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears all the points in the spline.  <a href="#d9b46f66661afbebf4cf1c45182e0484"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#5c757c1a320a61e224753b72c5e65048">updatePoint</a> (unsigned short index, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Updates a single point in the spline.  <a href="#5c757c1a320a61e224753b72c5e65048"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#dc9fdf938421d0893ef5ce114b177127">interpolate</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns an interpolated point based on a parametric value over the whole series.  <a href="#dc9fdf938421d0893ef5ce114b177127"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#d38e98ec3f724aa8460a36400657ce40">interpolate</a> (unsigned int fromIndex, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Interpolates a single segment of the spline given a parametric value.  <a href="#d38e98ec3f724aa8460a36400657ce40"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#c8a0d23480006745e3a58ecec33f6bc2">setAutoCalculate</a> (bool autoCalc)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells the spline whether it should automatically calculate tangents on demand as points are added.  <a href="#c8a0d23480006745e3a58ecec33f6bc2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#2c8896ea995986b58328763e58acbcb0">recalcTangents</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Recalculates the tangents associated with this spline.  <a href="#2c8896ea995986b58328763e58acbcb0"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#f6c6e592a24de4a8ba44077eb00cce02">mAutoCalc</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#d0c22b9635ac5eff5db16b7ae52ab301">mPoints</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector&lt; <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#47ad8348af9291f72fbc257e32799991">mTangents</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html#1f4270a81d2a5f8580b8e5652407998e">mCoeffs</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Matrix of coefficients.  <a href="#1f4270a81d2a5f8580b8e5652407998e"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A very simple spline class which implements the Catmull-Rom class of splines. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Splines are bendy lines. You define a series of points, and the spline forms a smoother line between the points to eliminate the sharp angles. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Catmull-Rom splines are a specialisation of the general Hermite spline. With a Hermite spline, you define the start and end point of the line, and 2 tangents, one at the start of the line and one at the end. The Catmull-Rom spline simplifies this by just asking you to define a series of points, and the tangents are created for you. </dd></dl>

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h-source.html#l00051">51</a> of file <a class="el" href="OgreSimpleSpline_8h-source.html">OgreSimpleSpline.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="647c5b1ef7ab486fc8646fa6a151bab6"></a><!-- doxytag: member="Ogre::SimpleSpline::SimpleSpline" ref="647c5b1ef7ab486fc8646fa6a151bab6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SimpleSpline::SimpleSpline           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ef641d97c1f208faf7bcf46584706fd8"></a><!-- doxytag: member="Ogre::SimpleSpline::~SimpleSpline" ref="ef641d97c1f208faf7bcf46584706fd8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SimpleSpline::~SimpleSpline           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="19945294aede4d865da85ccbe095ad33"></a><!-- doxytag: member="Ogre::SimpleSpline::addPoint" ref="19945294aede4d865da85ccbe095ad33" args="(const Vector3 &amp;p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SimpleSpline::addPoint           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds a control point to the end of the spline. 
<p>

</div>
</div><p>
<a class="anchor" name="295cb351867d81989ba41161d87a1258"></a><!-- doxytag: member="Ogre::SimpleSpline::getPoint" ref="295cb351867d81989ba41161d87a1258" args="(unsigned short index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::SimpleSpline::getPoint           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the detail of one of the control points of the spline. 
<p>

</div>
</div><p>
<a class="anchor" name="7cc4a623dc37c403b68d79eab09adf46"></a><!-- doxytag: member="Ogre::SimpleSpline::getNumPoints" ref="7cc4a623dc37c403b68d79eab09adf46" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short Ogre::SimpleSpline::getNumPoints           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the number of control points in the spline. 
<p>

</div>
</div><p>
<a class="anchor" name="d9b46f66661afbebf4cf1c45182e0484"></a><!-- doxytag: member="Ogre::SimpleSpline::clear" ref="d9b46f66661afbebf4cf1c45182e0484" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SimpleSpline::clear           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clears all the points in the spline. 
<p>

</div>
</div><p>
<a class="anchor" name="5c757c1a320a61e224753b72c5e65048"></a><!-- doxytag: member="Ogre::SimpleSpline::updatePoint" ref="5c757c1a320a61e224753b72c5e65048" args="(unsigned short index, const Vector3 &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SimpleSpline::updatePoint           </td>
          <td>(</td>
          <td class="paramtype">unsigned short&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Updates a single point in the spline. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This point must already exist in the spline. </dd></dl>

</div>
</div><p>
<a class="anchor" name="dc9fdf938421d0893ef5ce114b177127"></a><!-- doxytag: member="Ogre::SimpleSpline::interpolate" ref="dc9fdf938421d0893ef5ce114b177127" args="(Real t)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::SimpleSpline::interpolate           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>t</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns an interpolated point based on a parametric value over the whole series. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Given a t value between 0 and 1 representing the parametric distance along the whole length of the spline, this method returns an interpolated point. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>t</em>&nbsp;</td><td>Parametric value. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="d38e98ec3f724aa8460a36400657ce40"></a><!-- doxytag: member="Ogre::SimpleSpline::interpolate" ref="d38e98ec3f724aa8460a36400657ce40" args="(unsigned int fromIndex, Real t)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::SimpleSpline::interpolate           </td>
          <td>(</td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>fromIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>t</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Interpolates a single segment of the spline given a parametric value. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>fromIndex</em>&nbsp;</td><td>The point index to treat as t=0. fromIndex + 1 is deemed to be t=1 </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>t</em>&nbsp;</td><td>Parametric value </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="c8a0d23480006745e3a58ecec33f6bc2"></a><!-- doxytag: member="Ogre::SimpleSpline::setAutoCalculate" ref="c8a0d23480006745e3a58ecec33f6bc2" args="(bool autoCalc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SimpleSpline::setAutoCalculate           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>autoCalc</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells the spline whether it should automatically calculate tangents on demand as points are added. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The spline calculates tangents at each point automatically based on the input points. Normally it does this every time a point changes. However, if you have a lot of points to add in one go, you probably don't want to incur this overhead and would prefer to defer the calculation until you are finished setting all the points. You can do this by calling this method with a parameter of 'false'. Just remember to manually call the recalcTangents method when you are done. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>autoCalc</em>&nbsp;</td><td>If true, tangents are calculated for you whenever a point changes. If false, you must call reclacTangents to recalculate them when it best suits. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="2c8896ea995986b58328763e58acbcb0"></a><!-- doxytag: member="Ogre::SimpleSpline::recalcTangents" ref="2c8896ea995986b58328763e58acbcb0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SimpleSpline::recalcTangents           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Recalculates the tangents associated with this spline. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If you tell the spline not to update on demand by calling setAutoCalculate(false) then you must call this after completing your updates to the spline points. </dd></dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f6c6e592a24de4a8ba44077eb00cce02"></a><!-- doxytag: member="Ogre::SimpleSpline::mAutoCalc" ref="f6c6e592a24de4a8ba44077eb00cce02" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SimpleSpline.html#f6c6e592a24de4a8ba44077eb00cce02">Ogre::SimpleSpline::mAutoCalc</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h-source.html#l00113">113</a> of file <a class="el" href="OgreSimpleSpline_8h-source.html">OgreSimpleSpline.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d0c22b9635ac5eff5db16b7ae52ab301"></a><!-- doxytag: member="Ogre::SimpleSpline::mPoints" ref="d0c22b9635ac5eff5db16b7ae52ab301" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt; <a class="el" href="classOgre_1_1SimpleSpline.html#d0c22b9635ac5eff5db16b7ae52ab301">Ogre::SimpleSpline::mPoints</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h-source.html#l00115">115</a> of file <a class="el" href="OgreSimpleSpline_8h-source.html">OgreSimpleSpline.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="47ad8348af9291f72fbc257e32799991"></a><!-- doxytag: member="Ogre::SimpleSpline::mTangents" ref="47ad8348af9291f72fbc257e32799991" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt; <a class="el" href="classOgre_1_1SimpleSpline.html#47ad8348af9291f72fbc257e32799991">Ogre::SimpleSpline::mTangents</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h-source.html#l00116">116</a> of file <a class="el" href="OgreSimpleSpline_8h-source.html">OgreSimpleSpline.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1f4270a81d2a5f8580b8e5652407998e"></a><!-- doxytag: member="Ogre::SimpleSpline::mCoeffs" ref="1f4270a81d2a5f8580b8e5652407998e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> <a class="el" href="classOgre_1_1SimpleSpline.html#1f4270a81d2a5f8580b8e5652407998e">Ogre::SimpleSpline::mCoeffs</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Matrix of coefficients. 
<p>

<p>Definition at line <a class="el" href="OgreSimpleSpline_8h-source.html#l00119">119</a> of file <a class="el" href="OgreSimpleSpline_8h-source.html">OgreSimpleSpline.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSimpleSpline_8h-source.html">OgreSimpleSpline.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:47 2008
</p>
</body>
</html>
